[Pkg-ocaml-maint-commits] r920 - packages/advi/branches/split/debian/patches
Helge Kreutzmann
kreutzm-guest@costa.debian.org
Mon, 24 Jan 2005 09:10:24 +0100
Author: kreutzm-guest
Date: 2005-01-24 09:10:24 +0100 (Mon, 24 Jan 2005)
New Revision: 920
Added:
packages/advi/branches/split/debian/patches/doc_build.dpatch
Log:
*Only build things which can be build (not HTML and man page)
*Remove local settings from TEXINPUTS
Added: packages/advi/branches/split/debian/patches/doc_build.dpatch
===================================================================
--- packages/advi/branches/split/debian/patches/doc_build.dpatch 2005-01-24 08:09:13 UTC (rev 919)
+++ packages/advi/branches/split/debian/patches/doc_build.dpatch 2005-01-24 08:10:24 UTC (rev 920)
@@ -0,0 +1,56 @@
+#! /bin/sh -e
+## build.dpatch by <luther@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: The HTML files cannot be build (not HTMLC available)
+## DP: Solution: Do not build/ship HTML files
+## DP: The man page cannot be build (no .m file in source)
+## DP: Solution: Do not rebuild man page, use prebuild one
+
+if [ $# -ne 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+@DPATCH@
+diff -urN advi-1.6.0/doc/Makefile advi-1.6.0-gurke01/doc/Makefile
+--- advi-1.6.0/doc/Makefile 2004-10-02 23:35:39.000000000 +0200
++++ advi-1.6.0-gurke01/doc/Makefile 2005-01-23 10:09:13.427310792 +0100
+@@ -21,7 +21,8 @@
+
+ # See also file MakeHTML to recompile HTML files for the Web site.
+
+-SETTEXINPUTS=TEXINPUTS=.:../tex:/usr/lib/hevea/:/usr/local/lib/hevea/:/usr/local/share/texmf/tex//:$$TEXINPUTS
++# SETTEXINPUTS=TEXINPUTS=.:../tex:/usr/lib/hevea/:/usr/local/lib/hevea/:/usr/local/share/texmf/tex//:$$TEXINPUTS
++SETTEXINPUTS=TEXINPUTS=.:../tex:/usr/lib/hevea/:
+
+ LATEX=$(SETTEXINPUTS) latex
+ DVIPS=TEXPSHEADERS=.:../tex: dvips
+@@ -35,8 +36,7 @@
+ scratch_write_splash.dvi scratch_write_splash.ps \
+ scratch_draw_splash.dvi scratch_draw_splash.ps \
+ mathmode.dvi \
+- advi_remote.dvi advi_remote.html \
+- advi.1
++ advi_remote.dvi
+
+ clean::
+ $(RM) manual.advi manual.html
+@@ -54,7 +54,7 @@
+ $(MAKE) -f MakeMan all
+
+ advi.1: ../doc_src/advi.man
+- $(MAKE) -f MakeMan all
++ $(MAKE) -f MakeMan manpages
+
+
+ manual.dvi: ../tex/advi.sty manual.sty splash_contents.tex \
+
Property changes on: packages/advi/branches/split/debian/patches/doc_build.dpatch
___________________________________________________________________
Name: svn:executable
+ *